Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056624 - [abrt] remmina: ____strtol_l_internal(): remmina killed by SIGSEGV
Summary: [abrt] remmina: ____strtol_l_internal(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a07b002dfb601c9ae06b7df362...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:14 UTC by James Boyle
Modified: 2015-03-20 21:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-17 19:43:23 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: cgroup (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: core_backtrace (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: dso_list (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: environ (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: exploitable (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: limits (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: maps (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: open_fds (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: proc_pid_status (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details
File: var_log_messages (deleted)
2014-01-22 15:14 UTC, James Boyle
no flags Details

Description James Boyle 2014-01-22 15:14:06 UTC
Description of problem:
Launching a connection to a local (127.0.0.1:22) nx server while connected to a remote one via ssh tunnel (127.0.0.1:2222).

Version-Release number of selected component:
remmina-1.0.0-9.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        remmina
crash_function: ____strtol_l_internal
executable:     /usr/bin/remmina
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ____strtol_l_internal at ../stdlib/strtol_l.c:298
 #1 strtol at ../stdlib/strtol.c:108
 #2 atoi at /usr/include/stdlib.h:280
 #3 remmina_nx_session_parse_response at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_session.c:471
 #4 remmina_nx_session_expect_status2 at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_session.c:502
 #5 remmina_nx_session_expect_status at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_session.c:517
 #6 remmina_nx_session_tunnel_open at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_session.c:922
 #7 remmina_plugin_nx_start_session at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_plugin.c:429
 #8 remmina_plugin_nx_main at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_plugin.c:460
 #9 remmina_plugin_nx_main_thread at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/nx/nx_plugin.c:479

Comment 1 James Boyle 2014-01-22 15:14:11 UTC
Created attachment 853906 [details]
File: backtrace

Comment 2 James Boyle 2014-01-22 15:14:13 UTC
Created attachment 853907 [details]
File: cgroup

Comment 3 James Boyle 2014-01-22 15:14:15 UTC
Created attachment 853908 [details]
File: core_backtrace

Comment 4 James Boyle 2014-01-22 15:14:17 UTC
Created attachment 853909 [details]
File: dso_list

Comment 5 James Boyle 2014-01-22 15:14:19 UTC
Created attachment 853910 [details]
File: environ

Comment 6 James Boyle 2014-01-22 15:14:21 UTC
Created attachment 853911 [details]
File: exploitable

Comment 7 James Boyle 2014-01-22 15:14:24 UTC
Created attachment 853912 [details]
File: limits

Comment 8 James Boyle 2014-01-22 15:14:26 UTC
Created attachment 853913 [details]
File: maps

Comment 9 James Boyle 2014-01-22 15:14:27 UTC
Created attachment 853914 [details]
File: open_fds

Comment 10 James Boyle 2014-01-22 15:14:29 UTC
Created attachment 853915 [details]
File: proc_pid_status

Comment 11 James Boyle 2014-01-22 15:14:30 UTC
Created attachment 853916 [details]
File: var_log_messages

Comment 12 Christoph Wickert 2014-05-22 11:34:58 UTC
Assigning bug to new package maintainer.

Comment 13 Pavel Alexeev 2014-08-17 19:43:23 UTC
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.


Note You need to log in before you can comment on or make changes to this bug.